%global pypi_name snowballstemmer

Name:           python-%{pypi_name}
Version:        2.2.0
Release:        %mkrel 5
Summary:        This package provides 16 stemmer algorithms
License:        BSD-2-Clause
Group:          Development/Python
Url:            https://github.com/shibukawa/snowball_py
Source:         %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel

%description
This package provides 16 stemmer algorithms (15 + Poerter English
stemmer) generated from Snowball algorithms.  It includes following
language algorithms: Danish, Dutch, English (Standard, Porter),
Finnish, French, German, Hungarian, Italian, Norwegian, Portuguese,
Romanian, Russian, Spanish, Swedish, Turkish. This is a pure Python
stemming library. If PyStemmer is available, this module uses it to
accelerate.

%package -n python3-%{pypi_name}
Summary:        This package provides 16 stemmer algorithms
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This package provides 16 stemmer algorithms (15 + Poerter English
stemmer) generated from Snowball algorithms.  It includes following
language algorithms: Danish, Dutch, English (Standard, Porter),
Finnish, French, German, Hungarian, Italian, Norwegian, Portuguese,
Romanian, Russian, Spanish, Swedish, Turkish. This is a pure Python
stemming library. If PyStemmer is available, this module uses it to
accelerate.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files} -f %{pyproject_files}
%license COPYING
%doc README.rst


%changelog
* Fri Feb 21 2025 wally <wally> 2.2.0-5.mga10
+ Revision: 2150574
- rebuild for python3.13

* Thu Dec 14 2023 papoteur <papoteur> 2.2.0-4.mga10
+ Revision: 2018110
- rebuild for python 3.12

* Thu Dec 07 2023 wally <wally> 2.2.0-3.mga10
+ Revision: 2014995
- rebuild for py3.12
- use pyproject rpm macros

* Wed Mar 23 2022 umeabot <umeabot> 2.2.0-2.mga9
+ Revision: 1822124
- Mageia 9 Mass Rebuild

* Sun Feb 06 2022 wally <wally> 2.2.0-1.mga9
+ Revision: 1772043
- new version 2.2.0
- rebuild for python3.10

* Sun Mar 14 2021 wally <wally> 2.1.0-1.mga9
+ Revision: 1702685
- new version 2.1.0
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.9.1-2.mga8
+ Revision: 1530930
- Mageia 8 Mass Rebuild

* Fri Sep 06 2019 wally <wally> 1.9.1-1.mga8
+ Revision: 1437851
- new version 1.9.1
- drop python2 support
- rebuild for python3.8

* Sat Jan 05 2019 wally <wally> 1.2.1-4.mga7
+ Revision: 1349666
- rebuild for python3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.2.1-3.mga7
+ Revision: 1290096
- Mageia 7 Mass Rebuild

* Fri Aug 04 2017 tv <tv> 1.2.1-2.mga7
+ Revision: 1134714
- rebuild for new python

* Thu Aug 03 2017 tv <tv> 1.2.1-1.mga7
+ Revision: 1134282
- new version

* Fri Feb 19 2016 umeabot <umeabot> 1.2.0-3.mga6
+ Revision: 970502
- Mageia 6 Mass Rebuild

* Wed Oct 07 2015 tv <tv> 1.2.0-2.mga6
+ Revision: 887082
- rebuild for python 3.5

* Thu Aug 20 2015 joequant <joequant> 1.2.0-1.mga6
+ Revision: 866924
- imported package python-snowballstemmer

